# Uses of Class
org.eclipse.birt.core.ui.frameworks.taskwizard.WizardBase

Packages that use WizardBase
Package
Description
org.eclipse.birt.core.ui.frameworks.taskwizard
org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

## Uses of WizardBase in org.eclipse.birt.core.ui.frameworks.taskwizard

Fields in org.eclipse.birt.core.ui.frameworks.taskwizard declared as WizardBase
Modifier and Type
Field
Description
`protected WizardBase`
SimpleTask.`container`
`protected final WizardBase`
WizardBaseDialog.`wizardBase`
Comment for `wizardBase`
Methods in org.eclipse.birt.core.ui.frameworks.taskwizard with parameters of type WizardBase
Modifier and Type
Method
Description
`void`
ErrorsManager.`registerWizard(WizardBase wizard)`
This method registers a wizard with the ErrorsManager.
`void`
SimpleTask.`setUIProvider(WizardBase wizard)`
Constructors in org.eclipse.birt.core.ui.frameworks.taskwizard with parameters of type WizardBase
Modifier
Constructor
Description
``
`WizardBaseDialog(WizardBase wizardBase, org.eclipse.swt.widgets.Shell parentShell, int iInitialWidth, int iInitialHeight, String strTitle, org.eclipse.swt.graphics.Image imgTitle)`

## Uses of WizardBase in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces

Methods in org.eclipse.birt.core.ui.frameworks.taskwizard.interfaces with parameters of type WizardBase
Modifier and Type
Method
Description
`void`
ITask.`setUIProvider(WizardBase wizard)`
Called upon instantiation to allow a task to interact with the containing wizard.